# ApiRoleState Data Model

Represents the configured run state of a role.

Values
value | description
--- | ---
HISTORY_NOT_AVAILABLE | The role's run state was not captured at this past instant
UNKNOWN | The role's run state cannot be determined
STARTING | The role is starting
STARTED | The role has started
BUSY | The role is executing a command
STOPPING | The role is stopping
STOPPED | The role has stopped
NA | The role doesn't start or stop